<ion-header>
  <ion-toolbar>
    <ion-title>Modifier Tache</ion-title>
<ion-button (click)="valider()">Valider </ion-button>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <form [formGroup]= "tacheForm" (ngSubmit)="formSubmit()">
  <ion-grid>
    <ion-row>
      <ion-col text-center>
        Nom de  tache
        <ion-input formControlName="nom" > </ion-input>
      </ion-col>
    </ion-row>
    <hr class="new1">
    <ion-row>
      <ion-col text-center>
        Commentaires
        <ion-input formControlName="commentaire" placeholder="Tapez ici pour ajouter des notes"></ion-input>
      </ion-col>
    </ion-row>
    <hr class="new1">
    <ion-row>
      <ion-col text-center>
        <ion-item>
          <ion-label>Categories</ion-label>
          <ion-select formControlName="categorie" value="personnel" okText="Okay" cancelText="Dismiss">
            <ion-select-option value="personnel">Personnel</ion-select-option>
            <ion-select-option value="shopping">Shopping</ion-select-option>
            <ion-select-option value="travail">Travail</ion-select-option>
          </ion-select>
        </ion-item>
      </ion-col>
    </ion-row>
    <hr class="new1">
    <ion-row>
      <ion-col text-center>
        <ion-item>
          <ion-label>Date debut</ion-label>          
        </ion-item>
        <ion-item>
          <ion-datetime displayFormat="MMM DD, YYYY HH:mm" formControlName="date_debut" display-timezone="utc" cancel-text="fermer" done-text="valider"
          monthShortNames="jan, fev, mar, avr, mai, juin, jui, aout, sep, oct, nov, dec" (ionChange)="change($event)"  min="{{today}}" max="2100-10-03"></ion-datetime>
        </ion-item>
      </ion-col>
    </ion-row>
    <hr class="new1">
    <ion-row>
      <ion-col text-center>
        <ion-item>
          <ion-label>Date fin</ion-label>
          <ion-datetime displayFormat="MMM DD, YYYY HH:mm" formControlName="date_fin" min="{{min}}" display-timezone="utc" cancel-text="fermer" done-text="valider"
          monthShortNames="jan, fev, mar, avr, mai, juin, jui, aout, sep, oct, nov, dec"></ion-datetime>
        </ion-item>
      </ion-col>
    </ion-row>
    <hr class="new1">
    <ion-row>
      <ion-col text-center>
        
        <ion-item>  
          <ion-label> Priorité de tache</ion-label>  
          <ion-select formControlName="priorite" value="aucune" placeholder="choisir une Priorité">  
            <ion-select-option value="haute">Haute</ion-select-option>  
            <ion-select-option value="moyenne">Moyenne</ion-select-option>
            <ion-select-option value="basse">Basse</ion-select-option>  
            <ion-select-option value="aucune">Aucune</ion-select-option>  
          </ion-select>  
        </ion-item>  
      </ion-col>
    </ion-row>
    <hr class="new1">
    <ion-row>
      <ion-col text-center>
        
        <ion-item>  
          <ion-label>type rappel</ion-label>  
          <ion-select formControlName="rappel" value="aucun" placeholder="">  
            <ion-select-option value="notification">Notification</ion-select-option>  
            <ion-select-option value="alarme">Alarme</ion-select-option>
            <ion-select-option value="aucun">Aucun</ion-select-option>  
          </ion-select> 

        </ion-item>  
      </ion-col>
    </ion-row>
    <hr class="new1">
    <ion-row>
      <ion-col text-center>
        
        <ion-item>  
          <ion-label>Repetition</ion-label>  
          <ion-select formControlName="repetition" value="nprepeter" placeholder="">  
            <ion-select-option value="nprepeter">Ne pas repeter</ion-select-option>  
            <ion-select-option value="quotidien">Quotidien</ion-select-option>
            <ion-select-option value="hebdomadaire">Hebdomadaire</ion-select-option>  
            <ion-select-option value="mensuel">Mensuel</ion-select-option>  
          </ion-select> 

        </ion-item>  
      </ion-col>
    </ion-row>
    <hr class="new1">
    <ion-row>
      <ion-col text-center>
        <ion-item>
      </ion-item>
        <ion-item>  
          <ion-label>inviter amis</ion-label>  
          <ion-checkbox></ion-checkbox> 

        </ion-item>  
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col text-center>
        <ion-button (click)="closeModal()">Fermer</ion-button>
      </ion-col>
      <ion-col>
        <ion-input formControlName="id" type="hidden" ></ion-input>
        <ion-button type="submit" color="primary" shape="full" expand="block">Modifier tache</ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
  </form>
 
</ion-content>
